﻿@model WebApplication.Models.GrantApplication

@{
    ViewBag.Title = "View Grant Application";
}


@*@section Menu {

        @Scripts.Render("~/Scripts/Forms/Advanced/menu")
    }*@

@Styles.Render("~/AdminLTE/plugins/daterangepicker/css")
@Styles.Render("~/AdminLTE/plugins/icheck/css")
@Styles.Render("~/AdminLTE/plugins/colorpicker/css")
@Styles.Render("~/AdminLTE/plugins/timepicker/css")
@Styles.Render("~/AdminLTE/plugins/select2/css")
@Styles.Render("~/AdminLTE/dist/css")
@Styles.Render("~/AdminLTE/dist/css/skins")

<div class="box box-default">

    @using (Html.BeginForm("Edit", "ViewGrantApplication", FormMethod.Post, new { @class = "form-horizontal" }))
    {
        @Html.AntiForgeryToken()

        <div class="row">

            <div class="col-md-6">

                @Html.HiddenFor(model => model.Id)
                <div class="box-header with-border">
                    <h3 class="box-title">Application Header Details</h3>
                </div>

                <div class="box-body">

                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Grant Schedule Type</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.GrantScheduleType, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })

                        </div>
                    </div>
                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Grant Type</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.GrantType, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })

                        </div>
                    </div>
                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Grant Name</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.GrantName, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Grant Purpose</label>
                        <div class="col-sm-8">
                            <textarea class="form-control" name="GrantPurpose" rows="3" readonly placeholder="">@Model.GrantPurpose</textarea>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Application Ref No</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.ApplicationRefNo, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Application Status</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.ApplicationStatus, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly",@Id="ApplicationId" } })
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Application Submission Date</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.ApplicationSubmissionDate, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Grant Application</label>
                        <div class="col-sm-8">
                            <select class="form-control select2" style="width: 100%;" name="Status" id="Status" onchange="GetApplicationStatus()" required >
                                <option value="">-Select Status-</option>
                                <option value="Approve">Approve</option>
                                <option value="Reject">Reject</option>

                            </select>
                        </div>
                    </div>
                    <div class="form-group" id="ApproveReject">
                        <label for="AdditionalDescription" class="col-sm-4 control-label">Rejection Reason</label>
                        <div class="col-sm-8">
                            <textarea class="form-control" name="RejectionReason" id="RejectionReason" rows="3"  placeholder="Enter ..."></textarea>
                        </div>
                    </div>
                </div>
                <div class="box-footer">
                    @*<div>
                @Html.ActionLink("Back to List", "Index")
            </div>*@
                </div>



            </div>
            <div class="col-md-6">

                <br />
                <div class="box-header with-border">

                </div>

                <div class="box-body">
                    <div class="form-group">
                        <label for="ReceivingOfficer" class="col-sm-4 control-label">Receiving Officer</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.ReceivingOfficer, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="ReceivingDepartment" class="col-sm-4 control-label">Receiving Department</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.ReceivingDepartment, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })

                        </div>
                    </div>
                    <div class="form-group">
                        <label for="ReceivedDate" class="col-sm-4 control-label">Received Date</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.ReceivedDate, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="EmaillAddress" class="col-sm-4 control-label">Email Address</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.EmaillAddress, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="GrantorOfficer" class="col-sm-4 control-label">Grantor Officer</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.GrantorOfficer, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="Grantor" class="col-sm-4 control-label">Grantor</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.Grantor, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="GrantAmount" class="col-sm-4 control-label">Grant Amount</label>
                        <div class="col-sm-8">
                            @Html.EditorFor(model => model.GrantAmount, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="AdditionalDescription" class="col-sm-4 control-label">Additional Description</label>
                        <div class="col-sm-8">
                            <textarea class="form-control" name="AdditionalDescription" rows="3" readonly placeholder="Enter ...">@Model.AdditionalDescription</textarea>
                        </div>
                    </div>


                </div>

                <div class="box-footer">
                    <button type="submit" class="btn btn-success pull-right">
                        <i class="fa fa-send"></i> Submit Application
                    </button>
                    @*<button type="submit" class="btn btn-primary pull-right" style="margin-right: 5px;">
                        <i class="fa fa-download"></i> Save Application
                    </button>*@

                </div>


            </div>
        </div>
    }

</div>


@section Scripts {





    @Scripts.Render("~/AdminLTE/plugins/select2/js")
    @Scripts.Render("~/AdminLTE/plugins/input-mask/js")
    @Scripts.Render("~/AdminLTE/plugins/momentjs/js")
    @Scripts.Render("~/AdminLTE/plugins/daterangepicker/js")
    @Scripts.Render("~/AdminLTE/plugins/colorpicker/js")
    @Scripts.Render("~/AdminLTE/plugins/timepicker/js")
    @Scripts.Render("~/AdminLTE/plugins/icheck/js")
    @Scripts.Render("~/Scripts/Forms/Advanced")
}

<script>
    function GetApplicationStatus() {

        var appStatus = document.getElementById("Status").value;
        if (appStatus == "Approve") {
            document.getElementById("ApplicationId").value = "Approved By Grantor";
            document.getElementById("RejectionReason").required = false;
            document.getElementById("ApproveReject").style.display = "none";

        }
        else {
            document.getElementById("ApplicationId").value = "Rejected By Grantor";
            document.getElementById("RejectionReason").required = true;
            document.getElementById("ApproveReject").style.display = "block";
        }

        alert(Section28);
    }
</script>